package com.seeyon.apps.esign.logfile;

import com.seeyon.aicloud.common.JsonUtils;
import com.seeyon.v3x.dee.util.DateUtil;
import org.apache.commons.io.FileUtils;

import java.io.File;
import java.util.Date;
import java.util.Map;

public class EsignParamRecordUtils {

    public static void saveEsignParamRecord(Map<String,Object> params)  {
        try {
            String str = "/home/seeyon/Seeyon/A8/ApacheJetspeed/logs_sy";
            String date = DateUtil.format(new Date(), "yyyyMMddHHmmss");
            FileUtils.writeStringToFile(new File(str+"/esignParams/" + date + ".json"), JsonUtils.toJSONString(params), "UTF-8");
        }catch (Exception e){

        }
    }
}
